using System;
using NinjaTrader.Cbi;

internal sealed class Delegate345 : MulticastDelegate
{
	public extern InstrumentType Invoke(object object_0);

	public static InstrumentType smethod_0(object object_0, Delegate345 delegate345_1)
	{
		return delegate345_1(object_0);
	}

	public extern Delegate345(object object_0, IntPtr intptr_0);

	static Delegate345()
	{
		Class10.smethod_13(typeof(Delegate345).TypeHandle);
	}

	internal static Delegate345 delegate345_0;
}
